# -*- coding: utf-8 -*-
# @Time: 2023/12/26
import os
import random
import sys
import datetime


sys.path.append(os.getcwd())
from common.feishu import Feishu


class Material():
    # 获取飞书表格里所有小程序
    @classmethod
    def feishu_list(cls):
        wx_message = Feishu.get_values_batch("ffc082")
        list = []
        for row in wx_message[1:]:
            name = row[0]
            cookie = row[1]
            if name:
                number = {"name": name, "cookie": cookie}
                list.append(number)
            else:
                return list
        return list

